Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251747 - x11-libs/xclass fails to build with gcc 4.3
Summary: x11-libs/xclass fails to build with gcc 4.3
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 147032 gcc-4.3
  Show dependency tree
 
Reported: 2008-12-20 15:28 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-16 15:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (xclass-0.8.2-r2:20081220-151355.log,163.11 KB, text/plain)
2008-12-20 15:28 UTC, Diego Elio Pettenò (RETIRED)
Details
updated ebuild and updated ebuild to include gcc 4.3 patch (xclass-0.9.2.ebuild,1.67 KB, text/plain)
2009-01-19 20:02 UTC, Gene Seto
Details
patch for gcc 4.3 (xclass-0.8.2-gcc43.patch,288 bytes, patch)
2009-01-19 20:02 UTC, Gene Seto
Details | Diff
updated xclass-0.8.2 ebuild to include patch (xclass-0.8.2-r2.ebuild,1.54 KB, text/plain)
2009-01-19 20:12 UTC, Gene Seto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-20 15:28:16 UTC
Check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-20 15:28:34 UTC
Created attachment 175953 [details]
Build log
Comment 2 Gene Seto 2009-01-19 20:02:29 UTC
Created attachment 179019 [details]
updated ebuild and updated ebuild to include gcc 4.3 patch
Comment 3 Gene Seto 2009-01-19 20:02:51 UTC
Created attachment 179021 [details, diff]
patch for gcc 4.3
Comment 4 Gene Seto 2009-01-19 20:12:25 UTC
Created attachment 179023 [details]
updated xclass-0.8.2 ebuild to include patch
Comment 5 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-15 22:40:27 UTC
@treecleaners
Leaf library, nothing depends on it. Broken with gcc-4.3. No maintainer, Anant retired, bug 154427. Pending version bump since the time of of Moses, bug 147032. I tried to make it compile on amd64 but was greeted with this error:

c++ -I../include  -O2 -march=core2 -mcx16 -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 -mtune=core2 -pipe -Wall -ggdb -O2 -c xdnd.cc
xdnd.cc: In member function ‘virtual int OXDNDicon::HandleDNDdrop(ODNDdata*)’:
xdnd.cc:114: warning: '#' flag used with ‘%d’ printf format
xdnd.cc:114: warning: format ‘%#d’ expects type ‘int’, but argument 4 has type ‘Atom’
xdnd.cc:114: warning: format ‘%s’ expects type ‘char*’, but argument 5 has type ‘void*’
xdnd.cc: At global scope:
xdnd.cc:167: warning: ISO C++ forbids declaration of ‘main’ with no type
xdnd.cc: In member function ‘virtual Atom OXMain::HandleDNDenter(Atom*)’:
xdnd.cc:381: warning: '#' flag used with ‘%d’ printf format
xdnd.cc:381: warning: format ‘%#d’ expects type ‘int’, but argument 3 has type ‘long unsigned int’
xdnd.cc: In member function ‘virtual int OXMain::HandleDNDdrop(ODNDdata*)’:
xdnd.cc:407: warning: '#' flag used with ‘%d’ printf format
xdnd.cc:407: warning: format ‘%#d’ expects type ‘int’, but argument 4 has type ‘Atom’
xdnd.cc:407: warning: format ‘%s’ expects type ‘char*’, but argument 5 has type ‘void*’
xdnd.cc: In member function ‘virtual Atom OXMain::HandleDNDposition(int, int, Atom, int, int)’:
xdnd.cc:418: warning: '#' flag used with ‘%d’ printf format
xdnd.cc:418: warning: format ‘%#d’ expects type ‘int’, but argument 3 has type ‘Atom’
c++ -o btest btest.o  -L../lib/libxclass -lxclass -L/usr/X11R6/lib -lXpm -lXext -lX11 -lXpm -lXext -lX11
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lxclass
collect2: ld returned 1 exit status
make[1]: *** [btest] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/xclass-0.8.2-r2/work/xclass-0.8.2/test'
make: *** [all] Error 2

In other words: broken, nobody cares, please take it to cemetary.
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-21 23:03:14 UTC
# Jeremy Olexa <darkside@gentoo.org> (21 Mar 2009)
# Masked for removal in 60 days. Broken with gcc-4.3, unmaintained & nothing
# depends on it. bug 251747
x11-libs/xclass
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 00:37:25 UTC
removed from tree, wontfix